<!-- <div class="container-fluid main-content-container"> -->

  <div class="container-fluid home-container">
    <ng-container *ngIf="userService.hasLoggedIn(); else LogginOrRegister">

      <div *ngIf="(userService.userOrganisation | async) !== null; then Backstage; else Onboarding">this is ignored</div>
    </ng-container>

    <ng-template #LogginOrRegister>
      <div class="welcome-page">

        <!-- <div class="video-container">
          <video autoplay muted loop id="myVideo">
            <source src="../../../assets/video/test2.mp4" type="video/mp4">
          </video>
        </div> -->

        <div class="top-background">
          <div class="top-background-img">
          </div>
        </div>

        <div class="bot-background">
          <div class="bot-background-img">
          </div>
        </div>

        <div class="row titel-row justify-content-md-center">
          <div class="col-12">
            <h1 class="welcome-title">Anslut din<br/>arbetsmarknadstjänst</h1>
          </div>
          <div class="col-lg-4">
            <div class="yellow-card">
              <h2 class="Sub yellow-info">– Att skapa konto och ansluta tjänst går<br/>snabbt. 2-3 minuter och din tjänst är uppe.</h2>
            </div>
          </div>
        </div>
        <div class="row justify-content-center">
          <div class="col-lg-5 card login-card">
            <button class="btn btn-primary reg-btn" data-cy="register" (click)="doRegister()">ANSLUT DIG</button>
            <p class="placeholder"><i class="fa fa-info-circle"></i> Hela jobstore, både för besökare och er, är kostnadsfritt! </p>
          </div>
        </div>

        <div class="row">
          <div class="col d-flex justify-content-center">
            <div class="info-video">
              <iframe
                width="660"
                height="415"
                src="https://www.youtube.com/embed/u1FdwzY6ob0?rel=0"
                frameborder="0"
                allow="autoplay; encrypted-media"
                allowfullscreen>
              </iframe>
            </div>
          </div>
        </div>
      </div>
    </ng-template>

    <ng-template #Loading></ng-template>
    <ng-template #Onboarding>
      <app-onboarding-wizard (completed)="onboardingCompleted($event)"></app-onboarding-wizard>
    </ng-template>

    <ng-template  #Backstage>
      <div class="backstage-background">
        <img class="bg-img" src="../../../assets/images/Pebbles_dashboard.png" alt="">
      </div>
      <div class="container org-content-container">
        <h2 class="bs-welcome Rubik-Medium">Välkommen {{ keycloakService.client().tokenParsed['name']}}</h2>
        <div *ngIf="userService.userOrganisation | async; let organisation">
          <div class="org-box">
            <h3 class="H3-Left">Din organisation</h3>
            <app-organisation (updated)="updateOrg($event)" [organisation]="organisation"></app-organisation>
          </div>

          <div class="services-box">
            <h3 class="H3-Left">Era tjänster</h3>
            <app-job-services-list [organisation]="organisation"></app-job-services-list>
          </div>
        </div>
      </div>

    </ng-template>

</div>
